Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 579266 - Xorg stabilization for July 2016
Summary: Xorg stabilization for July 2016
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords: STABLEREQ
: 586278 587026 587984 589616 (view as bug list)
Depends on: 538828 541088 549264 559062 561850 564402 565552 568868 572696 576844 580942 584532 590620
Blocks: CVE-2013-6424 584482 586614 gnome-3.20-stable 588094 CVE-2016-5407, CVE-2016-7942, CVE-2016-7943, CVE-2016-7944, CVE-2016-7945, CVE-2016-7946, CVE-2016-7947, CVE-2016-7948, CVE-2016-7949, CVE-2016-7950, CVE-2016-7953 606818
  Show dependency tree
 
Reported: 2016-04-07 16:45 UTC by Chí-Thanh Christopher Nguyễn
Modified: 2017-01-25 12:28 UTC (History)
10 users (show)

See Also:
Package list:
dev-libs/libclc-0.2.0_pre20160209 amd64 ppc x86 dev-libs/libevdev-1.5.2 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 dev-libs/libinput-1.3.3 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 dev-libs/wayland-1.11.0 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 dev-libs/wayland-protocols-1.4 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 dev-libs/weston-1.11.0 amd64 arm x86 media-libs/mesa-11.2.2 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 media-libs/mesa-12.0.1 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 sys-firmware/amdgpu-ucode-20160628 amd64 x86 sys-firmware/radeon-ucode-20160628 amd64 x86 x11-apps/mesa-progs-8.3.0 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-apps/xkbcomp-1.3.1 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-apps/xrandr-1.5.0 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-base/xorg-drivers-1.18-r1 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-base/xorg-server-1.18.4 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-drivers/ati-drivers-15.12-r1 amd64 x86 x11-drivers/xf86-input-aiptek-1.4.1-r1 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-drivers/xf86-input-evdev-2.10.3 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-drivers/xf86-input-libinput-0.19.0 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-drivers/xf86-input-synaptics-1.8.3 amd64 arm ppc ppc64 x86 x11-drivers/xf86-input-wacom-0.33.0 alpha amd64 arm ia64 ppc ppc64 sparc x86 x11-drivers/xf86-video-amdgpu-1.1.0 amd64 x86 x11-drivers/xf86-video-ati-7.7.0 alpha amd64 ia64 ppc ppc64 sparc x86 x11-drivers/xf86-video-geode-2.11.18 x86 x11-drivers/xf86-video-intel-2.99.917_p20160621-r1 amd64 x86 x11-drivers/xf86-video-nouveau-1.0.12 amd64 ppc ppc64 x86 x11-drivers/xf86-video-openchrome-0.4.0 amd64 x86 x11-drivers/xf86-video-r128-6.10.1 alpha amd64 ia64 ppc ppc64 sparc x86 x11-drivers/xf86-video-suncg14-1.1.2 sparc x11-drivers/xf86-video-suncg3-1.1.2 sparc x11-drivers/xf86-video-suncg6-1.1.2 sparc x11-drivers/xf86-video-sunffb-1.2.2-r1 sparc x11-drivers/xf86-video-sunleo-1.2.1 sparc x11-drivers/xf86-video-suntcx-1.1.2 sparc x11-libs/libXdmcp-1.1.2-r1 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-libs/libXfixes-5.0.2 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-libs/libXi-1.7.6 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-libs/libdrm-2.4.70 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-libs/libxcb-1.12 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-libs/libxkbcommon-0.6.0 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-libs/pixman-0.34.0 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-libs/xcb-util-cursor-0.1.3-r1 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-misc/xkeyboard-config-2.17 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-misc/xorg-cf-files-1.0.6 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-misc/xtermcontrol-3.3 alpha amd64 ia64 ppc x86 x11-proto/inputproto-2.3.2 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-proto/videoproto-2.3.3 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-proto/xcb-proto-1.12-r2 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-proto/xproto-7.0.29 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 x11-terms/xterm-325 alpha amd64 arm hppa ia64 ppc ppc64 sparc x86
Runtime testing required: ---
kensington: sanity-check+


Attachments
x11_stable.list (x11_stable.list,4.04 KB, text/plain)
2016-04-07 16:45 UTC, Chí-Thanh Christopher Nguyễn
no flags Details
x11_stable.list (attachment.cgi?id=429860,4.14 KB, text/plain)
2016-05-26 02:09 UTC, Matt Turner
no flags Details
x11_stable.list v3 (x11_stable.list,4.32 KB, text/plain)
2016-05-29 20:48 UTC, Chí-Thanh Christopher Nguyễn
no flags Details
x11_stable.list v4 (x11_stable.list,4.74 KB, text/plain)
2016-07-04 16:07 UTC, Chí-Thanh Christopher Nguyễn
no flags Details
x11_stable.list v5 (x11_stable.list,4.74 KB, text/plain)
2016-07-26 22:01 UTC, Chí-Thanh Christopher Nguyễn
no flags Details
x11_stable.list v6 (x11_stable.list,4.74 KB, text/plain)
2016-09-16 16:33 UTC, Chí-Thanh Christopher Nguyễn
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chí-Thanh Christopher Nguyễn gentoo-dev 2016-04-07 16:45:24 UTC
Created attachment 429860 [details]
x11_stable.list

his bug is for stabilization of x11 packages.

No talking here, please. If you find a regression that should block stabilization: report a separate bug and make it block this bug.

To generate the keywords list for your arch, run
# awk '/YOURARCHHERE/ {print "="$1}' x11_stable.list > x11_stable.keywords
Comment 1 Matt Turner gentoo-dev 2016-05-26 02:09:48 UTC
Created attachment 435414 [details]
x11_stable.list

Updated to include libXfixes-5.0.2.
Comment 2 Chí-Thanh Christopher Nguyễn gentoo-dev 2016-05-29 20:48:29 UTC
Created attachment 435710 [details]
x11_stable.list v3

Updated stabilization list. Changes:

* Added libxcb, xcb-util-cursor, xf86-input-aiptek, xf86-video-openchrome, xcb-proto, xproto
* Updated stabilization targets for libdrm, libevdev, libinput, wayland-protocols, mesa, xf86-input-evdev, xf86-input-libinput, xf86-input-wacom, xf86-video-amdgpu, xf86-video-ati, xf86-video-intel
* Removed xman, stabilization is handled in bug 560532
* Removed cairo, stabilizaion is handled in bug 582144
* Removed wayland/weston due to lack of progress in bug 578054
Comment 3 Tomáš Mózes 2016-06-01 14:21:13 UTC
*** Bug 584692 has been marked as a duplicate of this bug. ***
Comment 4 Chí-Thanh Christopher Nguyễn gentoo-dev 2016-06-20 09:20:32 UTC
*** Bug 586278 has been marked as a duplicate of this bug. ***
Comment 5 Pacho Ramos gentoo-dev 2016-06-25 07:50:17 UTC
We will need in the future a dev-libs/wayland >= 1.10 for gnome-3.20, maybe it could be included too (there is no hurry but... :))

Thanks
Comment 6 Chí-Thanh Christopher Nguyễn gentoo-dev 2016-06-26 22:12:34 UTC
*** Bug 587026 has been marked as a duplicate of this bug. ***
Comment 7 Chí-Thanh Christopher Nguyễn gentoo-dev 2016-07-04 13:27:43 UTC
*** Bug 587984 has been marked as a duplicate of this bug. ***
Comment 8 Chí-Thanh Christopher Nguyễn gentoo-dev 2016-07-04 16:07:28 UTC
Created attachment 439702 [details]
x11_stable.list v4

Updated stabilization list. Changes:

* re-add wayland and weston after bug 578054 was fixed
* update stabilization targets for packages which have been bumped
* add firmware packages for radeon and amdgpu
* drop libutempter, base-system will handle it
Comment 9 Mike Limansky 2016-07-06 15:33:19 UTC
I've tried to install new Xorg amd64 using provided list, but got following error:

[blocks B      ] <x11-drivers/xf86-video-intel-2.99.917_p20160122 ("<x11-drivers/xf86-video-intel-2.99.917_p20160122" is blocking x11-base/xorg-drivers-1.18-r1)
Comment 10 Mike Limansky 2016-07-06 15:36:30 UTC
Oops, sorry, I've found that I didn't sync the portage.
Comment 11 Jeroen Roovers gentoo-dev 2016-07-24 20:03:45 UTC
*** Bug 589616 has been marked as a duplicate of this bug. ***
Comment 12 Chí-Thanh Christopher Nguyễn gentoo-dev 2016-07-26 22:01:50 UTC
Created attachment 441664 [details]
x11_stable.list v5

Updated stabilization list. Changes:

* Target newer mesa, xorg-server, libdrm
* Lower xkeyboard-config target to 2.17 due to regression in bug 589776
Comment 13 Jeroen Roovers gentoo-dev 2016-08-03 04:30:40 UTC
Stable for HPPA.
Comment 14 Markus Meier gentoo-dev 2016-08-06 11:07:11 UTC
arm stable
Comment 15 Kristian Fiskerstrand gentoo-dev Security 2016-08-30 13:16:09 UTC
Shoudl bug 576890 get handled before libxcb going stable with yet another version?
Comment 16 Mike Limansky 2016-09-16 08:48:15 UTC
(In reply to Chí-Thanh Christopher Nguyễn from comment #12)
> Created attachment 441664 [details]
> x11_stable.list v5
> 
> Updated stabilization list. Changes:
> 
> * Target newer mesa, xorg-server, libdrm
> * Lower xkeyboard-config target to 2.17 due to regression in bug 589776

Please replace x11-libs/xcb-util-cursor-0.1.3 with x11-libs/xcb-util-cursor-0.1.3-r1, since it's not availablein portage anymore.
Comment 17 Chí-Thanh Christopher Nguyễn gentoo-dev 2016-09-16 16:33:58 UTC
Created attachment 446002 [details]
x11_stable.list v6

Updated stabilization list after x11-libs/xcb-util-cursor-0.1.3 was removed from the tree in bug 582818
Comment 18 Pacho Ramos gentoo-dev 2016-09-17 10:52:50 UTC
x86 stable
Comment 19 Pacho Ramos gentoo-dev 2016-09-17 11:15:55 UTC
amd64 stable
Comment 20 Tobias Klausmann gentoo-dev 2016-09-22 16:53:26 UTC
Stable on alpha.
Comment 21 Mart Raudsepp gentoo-dev 2016-10-05 11:23:20 UTC
This stabilization contains an older version of libXfixes and libXi, while security bug 596182 now wants these one newer versions:

x11-libs/libXfixes-5.0.3
x11-libs/libXi-1.7.7

So if you want you can stabilize these newer versions as part of the big list straight away while dealing with this list + security list.
Comment 22 Émeric Maschino 2016-11-03 22:23:43 UTC
ia64 stable.

Please note that I also had to keyword ~ia64 app-eselect/eselect-opengl, x11-libs/xcb-util-wm and x11-proto/glproto to proceed with x11_stable.list v6. Was it expected?

BTW, what about bug #559062?

     Émeric
Comment 23 Émeric Maschino 2016-11-08 13:15:33 UTC
As I see wayland keyword being removed/added back and talked about here, I was wondering if there's a separate metabug to discuss Wayland support or if this metabug is the right place for this?

Indeed, following successful stabilization on ia64 (see comment #22), I've emerged x11_stable.list v6 again, enabling global wayland USE flag (unmasking required). I was quite happy to discover that everything emerged successfully (including tests) and that GNOME 3.20 on Wayland is running almost flawlessly.

I've nevertheless noticed some issues that I would like to report (e.g. broken VT-switching that's probably more related to low-level Wayland support than GNOME Wayland).

Thanks,

     Émeric
Comment 24 Agostino Sarubbo gentoo-dev 2016-11-16 10:38:39 UTC
Emeric,

thanks for the testing.

Keep in mind to don't use the 'ia64 stable' word because is used by developers when the stable keyword has been committed.

Use 'ia64 tested' or 'ia64 ok' instead.

Thanks
Comment 25 Agostino Sarubbo gentoo-dev 2016-11-16 10:44:48 UTC
ia64 stable
Comment 26 Émeric Maschino 2016-11-16 23:30:33 UTC
(In reply to Agostino Sarubbo from comment #24)
> Emeric,
> 
> thanks for the testing.
> 
> Keep in mind to don't use the 'ia64 stable' word because is used by
> developers when the stable keyword has been committed.
> 
> Use 'ia64 tested' or 'ia64 ok' instead.
> 
> Thanks

Sorry, wasn't aware of this. Will do next time. Thanks for clarifying wording :-)

     Émeric
Comment 27 Agostino Sarubbo gentoo-dev 2016-11-17 10:49:08 UTC
ppc stable
Comment 28 Thomas Deutschmann gentoo-dev Security 2017-01-09 18:18:17 UTC
@ ppc64 and sparc AT:

*ping* -- You are the last two arches blocking two sec bugs.
Comment 29 Pacho Ramos gentoo-dev 2017-01-17 08:43:55 UTC
(In reply to Thomas Deutschmann from comment #28)
> @ ppc64 and sparc AT:
> 
> *ping* -- You are the last two arches blocking two sec bugs.

For sparc I don't know what is blocking this, but it seems that until bug 587210 is not solved (or handled in a way that allow us to get it dropped from blocking this bug) ppc64 is likely to continue waiting :/
Comment 30 Agostino Sarubbo gentoo-dev 2017-01-22 17:20:56 UTC
sparc stable
Comment 31 Pacho Ramos gentoo-dev 2017-01-22 17:51:37 UTC
Oh, I just re-read it and it seems the affected USE flag is masked anyway
Comment 32 Agostino Sarubbo gentoo-dev 2017-01-25 12:15:03 UTC
(In reply to Pacho Ramos from comment #31)
> Oh, I just re-read it and it seems the affected USE flag is masked anyway

I will proceed with the ppc64 stabilization since the USE flag is masked.
Comment 33 Agostino Sarubbo gentoo-dev 2017-01-25 12:28:27 UTC
ppc64 stable. Closing.